You are not logged in.

#2176 2010-07-31 16:16:57

mDuo13
Member
Registered: 2010-04-25
Posts: 90

Re: The AMD/ATI Bar & Grill

So I decided to upgrade my system so that I could play Starcraft 2. I compiled the 2.6.35-rc6 kernel from aur, and did a full pacman -Syu to get the latest Xorg. (xorg-server 1.8.1.902-1)

On reboot, Xorg (as expected) failed to load fglrx so I installed Catalyst 10.7 from aur, did an rmmod and modprobe on it. But when I ran startx, I got a black screen and a complete system lockup. Only a hard restart would do anything.

I saw this problem on the wiki, and tried both things there - wiping the amdpcsdb, and disabling acpi - as well as a healthy amount of rebooting, reinstalling catalyst, updating catalyst-lib32tools... but it freezes on me every time.

Interestingly, the console is a higher resolution than normal ever since the kernel upgrade.

I've got a Radeon 5770 on x86_64. Help?

EDIT: Oh, one other thing I should mention, when I'm booted into console (runlevel 3) the Radeon's fan is working full blast. As soon as I startx (where it freezes), it quiets down to a normal pace, which seems to suggest to me that at least some of fglrx is working...

Last edited by mDuo13 (2010-07-31 16:25:34)

Offline

#2177 2010-07-31 17:06:58

mDuo13
Member
Registered: 2010-04-25
Posts: 90

Re: The AMD/ATI Bar & Grill

Interesting things. Discovered that I needed to move fglrx from daemons (where it used to work) to modules. Now it boots into X successfully... almost. My mouse and keyboard (both usb) stop responding the moment X appears. (actually I haven't actually used the mouse since the kernel upgrade, but I know the keyboard works until X starts). Any ideas? Something wrong with the xf86-input* packages or something?

Offline

#2178 2010-07-31 17:20:03

mDuo13
Member
Registered: 2010-04-25
Posts: 90

Re: The AMD/ATI Bar & Grill

By the way, I don't post here expecting answers, I post here as a good-luck charm for finding the answers myself. wink

I needed to restore the evdev and quirks conf files in my /etc/X11/xorg.conf.d/ directory (I had renamed the to .bak as part of earlier troubleshooting).

Looks like now I just have to deal with 2d acceleration artifacts, and that's already well-documented...

Offline

#2179 2010-08-01 14:21:15

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

Cdh wrote:
Vi0L0 wrote:

@jck: ive got solution smile well at least its working for me.
Ive updated libva (its not updated in extra repo because its not working for intel users) and xvba-video packages to newest versions, and rebuilded mplayer-vaapi and osd is always working fine now.
But please note that after doing this ie. VLC player from [extra] wont work, simply because its compiled for older version of libva, so if you want to use vlc with those newest packages you will have to rebuild vlc manually.

It's not only vlc:

~ % ffmpeg
ffmpeg: error while loading shared libraries: libva-0.31.0.6.so.1: cannot open shared object file: No such file or directory

Please include ffmpeg and/or vlc. :-/

Thanks for that info. I've just included ffmpeg.
Although I wont include vlc. To build vlc i need to install 114 packages on any of my i686 and x86_64 virtual systems, and it wont be easy to keep them updated on my slow connection.

Last edited by Vi0L0 (2010-08-01 14:27:06)

Offline

#2180 2010-08-03 11:21:01

jck
Member
From: USA
Registered: 2009-05-08
Posts: 97

Re: The AMD/ATI Bar & Grill

new_xvba solved the problem, thanks violo smile

Offline

#2181 2010-08-03 16:39:25

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

If anyone doesn't want to build:
http://omploader.org/vNTR1eg/vlc-1.1.2- … pkg.tar.xz

Works for me. tongue


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#2182 2010-08-03 17:33:51

Cory
Member
Registered: 2009-07-13
Posts: 57

Re: The AMD/ATI Bar & Grill

It just me or XBMC-svn + new xvba freezes and will not play anything? with xvba 6.11 works well, less for 1080p videos are "cut"

Offline

#2183 2010-08-06 21:51:15

javonera
Member
Registered: 2007-05-28
Posts: 16

Re: The AMD/ATI Bar & Grill

Hi. I'm trying to use vaapi but I'm having problems with x264 videos. When I run "mplayer -vo vaapi:gl -va vaapi [file.mkv]", this is what I get:

Screenshot

and here the output from mplayer:

Warning unknown option device at line 5
MPlayer SVN-r31722-4.5.0 (C) 2000-2010 MPlayer Team
158 audio & 335 video codecs
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing Kung.Fu.Panda.2008.720P.BLURAY.X264-OUTDATED.mkv.
libavformat file format detected.
[matroska @ 0x3446ef0] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0
[lavf] stream 1: audio (ac3), -aid 0
VIDEO:  [H264]  1280x544  0bpp  24.000 fps    0.0 kbps ( 0.0 kbyte/s)
SUB: Added subtitle file (1): ./Kung.Fu.Panda.2008.720P.BLURAY.X264-OUTDATED.srt
[vo_vaapi] Using OpenGL rendering
libva: libva version 0.31.1-sds1
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/va/drivers/fglrx_drv_video.so
libva: va_openDriver() returns 0
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
[VD_FFMPEG] VA API accelerated codec.
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 640.0 kbit/41.67% (ratio: 80000->192000)
Selected audio codec: [ffac3] afm: ffmpeg (FFmpeg AC-3)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Unsupported PixelFormat 61
[VD_FFMPEG] Trying pixfmt=1.
Movie-Aspect is 2.35:1 - prescaling to correct movie aspect.
VO: [vaapi] 1280x544 => 1280x544 H.264 VA-API Acceleration 
[VD_FFMPEG] XVMC-accelerated MPEG-2.
A:  28.2 V:  28.2 A-V: -0.030 ct:  0.061   0/  0  2% 25%  0.7% 22 0 

Any idea of what I'm doing wrong?

Edit: here some extra info

Arch: x86_64
Video: ATI HD5850 - Catalyst drivers
mplayer-vaapi 20100713-3
libva 0.31.1_p4-1
ffmpeg 24460-2
xvba-video 0.7.2-1

Thanks

Last edited by javonera (2010-08-06 21:54:22)

Offline

#2184 2010-08-07 03:49:42

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

-= Some news =-
[catalyst] repo update:
* xvba-video is now in version 7.3;
* mplayer-vaapi package rebuilded;
It should work fine with new libva package from [extra] which has some strange versioning now - 1.0.4 (vainfo is showing 0.31.1)  umm... what?

* you can probably remove [new_xvba] from pacman.conf - subtitles are fine with new extra's libva, plus do
# pacman -S ffmpeg
if it wasn't updated from [extra] after pacman -Syu
* and vlc is working wink

btw: i had to change PKGBUILD of xvba-video (drivers are now in /usr/lib/dri/) to make it work with extra's packages - so if there's a problem - as always write it down smile

javonera wrote:

Any idea of what I'm doing wrong?

Actually it looks like you aren't doing anything wrong. It's more like your gpu isn't well supported... or maybe it has problems with this particular mkv file.
Remove new_xvba repo, and try newer packages from catalyst and extra repo - maybe this will help...

Last edited by Vi0L0 (2010-08-07 03:50:40)

Offline

#2185 2010-08-07 07:29:04

stlifey
Member
Registered: 2010-08-07
Posts: 7

Re: The AMD/ATI Bar & Grill

Thank you! It works fine!

[henry@HENRY-NB ~]$ vainfo
libva: libva version 0.31.1
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.31
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA API - 0.7.3
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :    VAEntrypointIDCT
      VAProfileMPEG2Main              :    VAEntrypointIDCT
      VAProfileH264High               :    VAEntrypointVLD
      VAProfileVC1Advanced            :    VAEntrypointVLD

Offline

#2186 2010-08-07 18:23:14

javonera
Member
Registered: 2007-05-28
Posts: 16

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

-= Some news =-
[catalyst] repo update:
* xvba-video is now in version 7.3;
* mplayer-vaapi package rebuilded;
It should work fine with new libva package from [extra] which has some strange versioning now - 1.0.4 (vainfo is showing 0.31.1)  umm... what?

* you can probably remove [new_xvba] from pacman.conf - subtitles are fine with new extra's libva, plus do
# pacman -S ffmpeg
if it wasn't updated from [extra] after pacman -Syu
* and vlc is working wink

btw: i had to change PKGBUILD of xvba-video (drivers are now in /usr/lib/dri/) to make it work with extra's packages - so if there's a problem - as always write it down smile

javonera wrote:

Any idea of what I'm doing wrong?

Actually it looks like you aren't doing anything wrong. It's more like your gpu isn't well supported... or maybe it has problems with this particular mkv file.
Remove new_xvba repo, and try newer packages from catalyst and extra repo - maybe this will help...

No changes with updates. It happens with all x264 files, so you must be right about my gpu isn't well supported. Guess I'll have to wait newer drivers.

Thanks Vi0L0.

Offline

#2187 2010-08-09 00:37:06

Radioactiveman
Member
From: Germany
Registered: 2010-05-13
Posts: 376

Re: The AMD/ATI Bar & Grill

"New" driver:

ATI Catalyst™ 10.7 Update Driver

Hopefully without the black 2D artifacts ...

Offline

#2188 2010-08-09 02:32:29

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

Radioactiveman wrote:

Thanks for info! big_smile
New Updated Driver serves OpenCL 1.1 support.
I've updated AUR's catalyst-test with this new stuff.
+ NOTE: before building please download ati_catalyst_10.7b_opencl1.1_linux.zip using this site:
http://support.amd.com/us/kbarticles/Pa … river.aspx
and move it next to PKGBUILD

Radioactiveman wrote:

Hopefully without the black 2D artifacts ...

It looks like artifacts are still appearing.

Last edited by Vi0L0 (2010-08-09 02:38:24)

Offline

#2189 2010-08-09 12:45:18

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Offline

#2190 2010-08-09 12:53:52

ChemBro
Member
Registered: 2008-10-22
Posts: 682

Re: The AMD/ATI Bar & Grill

Good for us, bad for AMD/Ati (now they have to support it). cool

Offline

#2191 2010-08-10 03:06:32

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

"No risk = no fun"
It's been some time since catalyst package got hooked and overall it looks pretty good - only little (already fixed) cosmetic bugs, lots of happy people cool.
But there's one problem - our auto-recompilation of fglrx module isn't working as good as it should...
Problem: when kernel26 is hitting some main update (ie. 2.6.34-ARCH -> 2.6.35-ARCH) fglrx module won't be auto-recompiled because kernel26-headers is installed after kernel26 package, so our hook doesn't have headers and module cannot be built.
Idea: What if we force kernel26-headers to be updated at first?
Solution: add kernel26-headers to SyncFirst array of /etc/pacman.conf

I believe it's a good idea, although it could be problematic ie. when mirror you are using didn't synced completely and you cannot reach this package, but i believe that we are all using more than one mirror, with official ftp.archlinux.org at the bottom of the list ;-).
So i'm pretty sure that it will work fine.
We have already said A and B, so it's probably a time to say C and finally have automatic catalyst ;-).

What are you thinking about that idea and solution? For every sceptic i got a candy smile.

Ofcourse i already tested it and i've got working solution that will add/remove headers automatically to/from pacman.conf tongue.


I also think it's good idea to add to repo new package called catalyst-module-only which will contain only fglrx module compiled for current kernel26 for people who have problems with module compilation (didn't heard about anything like that, but still it could be useful).

Offtopic: as an off-topic i would like to show you brilliant band from France called 'Justice' and their mix. I'm not fan of techno/electric/house but this set is imo great, complicated and not boring at all (c'mon, at least wait for woman's vocal) ;P.

Last edited by Vi0L0 (2010-08-10 14:23:16)

Offline

#2192 2010-08-10 11:53:25

ChemBro
Member
Registered: 2008-10-22
Posts: 682

Re: The AMD/ATI Bar & Grill

About that kernel26 update... When the new kernel will hit core, is it enough to use this catalyst_module_build (or how it is called)?

Also: I'm happy with the repo. cool (besides the bugs from the driver itself)

Offline

#2193 2010-08-10 12:05:37

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 673

Re: The AMD/ATI Bar & Grill

ChemBro wrote:

Also: I'm happy with the repo. cool (besides the bugs from the driver itself)

+1. Vi0l0 made a fantastic job with the catalyst repo.

Offline

#2194 2010-08-10 13:22:03

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

AUR's catalyst has been updated. Changelog smile :
- automatically adding (or removing when pacman -R catalyst) kernel26-headers to SyncFirst array of pacman.conf file, so now fglrx should be auto-recompiled successfully even when kernel26 is hitting main update. Now if pacman will ask you about updating kernel26-headers in first place - tell yes;
- generating log with debugging informations about every fglrx building, log is placed at /var/log/catalyst-install.log, every entry is only ~30 lines long, newest entries are stored at the bottom of the log;
- output of catalyst_build_module is now clean - it's giving only basic info:
  'Ok.' - when module was compiled successfully;
  'Failed!!! Check out log: /var/log/catalyst-install.log' - when failed.

I'm now thinking about updating [catalyst] repo with new build...
Edit: repo is updated now.

ChemBro wrote:

About that kernel26 update... When the new kernel will hit core, is it enough to use this catalyst_module_build (or how it is called)?

yes, after update of kernel26 and kernel26-headers type catalyst_build_module kernel_version:
# catalyst_build_module 2.6.35-ARCH
Or just add kernel26-headers to SyncFirst array of pacman.conf file, and it should be auto-recompiled wink

Last edited by Vi0L0 (2010-08-10 14:23:40)

Offline

#2195 2010-08-10 14:05:26

Hamsterkill
Member
Registered: 2009-05-05
Posts: 45

Re: The AMD/ATI Bar & Grill

I've posted this issue a few places around the net, but haven't really got a good answer yet.

It appears that something about fglrx is causing my system to hang when shutting down. Its all the way to "Power off" and then freezes. I ran some tests.

If I modprobe fglrx and try to shutdown without ever running an X server, it shuts down okay.

If I modprobe fglrx, run an X server, kill the X server and rmmod fglrx, the hang still occurs when I try to power down.

If I only run an X server on the vesa driver, everything works fine on shutdown.

Restarts of the computer always work fine -- it is only shutdowns that cause the hang.

I've looked through the logs and nothing seems to be different in them between a restart and shutdown. I believe the the hang may be occurring after logging has already stopped.

Running on Mobility Radeon 5830 (HP Envy 15 laptop Core i5) with Catalyst 10.7 -- Arch Linux x64, kernel 2.6.34. I don't know whether this is a weird bug with Evergreen, with Arch (I haven't tried another distro on this laptop yet), or just with my laptop. Any ideas?

Offline

#2196 2010-08-10 17:35:52

Derson5
Member
From: Polska
Registered: 2010-07-29
Posts: 26

Re: The AMD/ATI Bar & Grill

Hi when I add fglrx to rc.conf when booting a see

/etc/rc.d/functions: line 192: /etc/rc.d/fglrx: no such file

And in catalyst 10.7 colors in some web pages are different. Like cyaneous is pink, black is dark blue.

Offline

#2197 2010-08-10 18:27:55

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

Derson5 wrote:

Hi when I add fglrx to rc.conf when booting a see

/etc/rc.d/functions: line 192: /etc/rc.d/fglrx: no such file

And in catalyst 10.7 colors in some web pages are different. Like cyaneous is pink, black is dark blue.

Heja,
place fglrx in MODULES, not DAEMONS array

Offline

#2198 2010-08-11 08:51:54

Derson5
Member
From: Polska
Registered: 2010-07-29
Posts: 26

Re: The AMD/ATI Bar & Grill

Ow.. thanks... But still problem with colors.

Offline

#2199 2010-08-12 08:28:46

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

The xorg-server-1.8-catalyst-maximize-fix package in AUR has been updated to version 1.8.2-1. I usually wait for [extra] to catch up with releases, but 1.8.2 has been out for almost 2 months now and there is simply no reason not to update.

Get it here: http://aur.archlinux.org/packages.php?ID=36328

@Vi0L0: If I recall correctly, you have this package in [catalyst]. If so, can you update it as well?


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#2200 2010-08-12 14:45:58

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,320
Website

Re: The AMD/ATI Bar & Grill

dcc24 wrote:

The xorg-server-1.8-catalyst-maximize-fix package in AUR has been updated to version 1.8.2-1. I usually wait for [extra] to catch up with releases, but 1.8.2 has been out for almost 2 months now and there is simply no reason not to update.

Get it here: http://aur.archlinux.org/packages.php?ID=36328

@Vi0L0: If I recall correctly, you have this package in [catalyst]. If so, can you update it as well?

There's no need of updating from 1.8.2-rc2 to 1.8.2 because there is no difference between them.
Quoting xserver 1.8.2 announce:
"no new commits over RC2"

Last edited by Vi0L0 (2010-08-12 14:46:15)

Offline

Board footer

Powered by FluxBB